// creator  : weidu.exe (version 23600)
// argument : IKE.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~IKE~

IF ~  True()
~ THEN BEGIN 0 // from:
  SAY #21708 /* ~Step right up folks and HEAR the tale of dread placed before thee. Join with me as I, adventurer extraordinaire Ike Cascadion Vendar, lead yet another group of brave souls through the very SEAT of danger in the realms. To Durlag's Tower we shall go, and witness the perils that have taken the lives of hundreds of courageous men and women. SEE the horror of the treacherous traps! FEEL the presence of the long languishing dead! MARVEL at the wondrous wealth buried below! NOT for the weak of spirit as I will NOT be held accountable for any heart failure during OR after our expedition! Step up, step up! One at a TIME!~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #21709 /* ~Ahh, good people of noble blood who would throw down the gauntlet in the face of chance! Come see the lengths a man must go to protect what's his. A special package deal of 60 gold for your entire group, not that you would need a discount.~ */
  IF ~  PartyGoldGT(59)
~ THEN REPLY #21715 /* ~You have a deal, sir! When are we to leave?~ */ DO ~TakePartyGold(60)
~ GOTO 7
  IF ~~ THEN REPLY #21716 /* ~ 'Tis too much gold for my purse.~ */ GOTO 4
  IF ~~ THEN REPLY #21717 /* ~I'm not interested in your "adventuring" tours, huckster.~ */ GOTO 6
END

IF ~~ THEN BEGIN 2 // from:
  SAY #21710 /* ~Hello to you, my friends! Come see the lengths the wealthy must go, just to protect their fortunes. 'Tis a life I'd wish on no one. Just 80 gold for your entire group, and I don't do this for everyone.~ */
  IF ~~ THEN REPLY #21718 /* ~You have a deal, sir! When are we to leave?~ */ GOTO 7
  IF ~~ THEN REPLY #21720 /* ~ 'Tis too much gold for my purse.~ */ GOTO 4
  IF ~~ THEN REPLY #21722 /* ~I'm not interested in your "adventuring" tours, huckster.~ */ GOTO 6
END

IF ~~ THEN BEGIN 3 // from:
  SAY #21711 /* ~All right, step up, you louts! 100 gold for the lot of ye, but you stand in the back! And if I catch you pinching a single purse, I'll have you run through. 'Tis a dangerous place to which we go, and I've "lost" people before.~ */
  IF ~~ THEN REPLY #21719 /* ~You have a deal, sir! When are we to leave?~ */ GOTO 7
  IF ~~ THEN REPLY #21721 /* ~ 'Tis too much gold for my purse.~ */ GOTO 4
  IF ~~ THEN REPLY #21723 /* ~I'm not interested in your "adventuring" tours, huckster.~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 3.1 2.1 1.1
  SAY #21712 /* ~I have no other price, so take it or leave it.~ */
  IF ~  ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
PartyGoldGT(59)
~ THEN REPLY #21724 /* ~You have a deal, sir! When are we to leave?~ */ DO ~TakePartyGold(60)
~ GOTO 7
  IF ~~ THEN REPLY #21725 /* ~I'm not interested in your "adventuring" tours, huckster.~ */ GOTO 6
  IF ~~ THEN REPLY #21726 /* ~Fine, ye unreasonable skinflint! Keep yer blasted tour!~ */ GOTO 5
  IF ~  ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
PartyGoldGT(59)
~ THEN REPLY #21728 /* ~You have a deal, sir! When are we to leave?~ */ DO ~TakePartyGold(60)
~ GOTO 7
  IF ~  ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
PartyGoldGT(59)
~ THEN REPLY #21729 /* ~You have a deal, sir! When are we to leave?~ */ DO ~TakePartyGold(60)
~ GOTO 7
END

IF ~~ THEN BEGIN 5 // from: 4.2
  SAY #21713 /* ~Is it your purse, or yer nerve that's lacking? Well I'll be here daily if ye fill either. Shoo, I've paying customers.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27164 /* ~A Tour of Durlag's Tower
I met a blustering lout offering tours of Durlag's Tower. It seems he aims to make a tourist attraction out of the deathtrap. I decided not to take him up on his offer, but he will be available if I change my mind.~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from: 4.1 3.2 2.2 1.2
  SAY #21714 /* ~Yes, the tower scares away the best of us. I'll be leaving here daily, if you find your spine.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27164 /* ~A Tour of Durlag's Tower
I met a blustering lout offering tours of Durlag's Tower. It seems he aims to make a tourist attraction out of the deathtrap. I decided not to take him up on his offer, but he will be available if I change my mind.~ */ EXIT
END

IF ~~ THEN BEGIN 7 // from: 4.4 4.3 4.0 3.0 2.0 1.0
  SAY #21727 /* ~That will fill my quota for this trip. We leave forthwith! Remember to kiss your loved ones goodbye, for you may never... see them... AGAIN! Meet me at the base of the tower! You would surely be KILLED without me, but fear not! Only I can enter where others FEAR to TREAD!~ */
  IF ~~ THEN DO ~RevealAreaOnMap("AR0500")
SetGlobal("ike","GLOBAL",1)
EscapeArea()
~ UNSOLVED_JOURNAL #27165 /* ~A Tour of Durlag's Tower
I met a huckster by the name of Ike who was offering tours of Durlag's Tower. It seems the venerable deathtrap has become a bit of a tourist attraction. I agreed to the tour, so I should meet Ike by the tower as soon as possible. I'm sure it will be safe... they wouldn't walk people through if there was still a danger.~ */ EXIT
END
